Assistance en ligne

DMC – API : quelle version dois-je utiliser ?

FAQ 2 minutes de lecture imprimer

Nous faisons régulièrement évoluer nos Web Services pour :

  • Ajouter de nouvelles fonctionnalités
  • Implémenter de nouvelles règles de sécurité

Vous devez veiller à toujours utiliser la dernière version de l’API pour un premier développement comme pour une maintenance applicative.
Pour vous faciliter le travail :

  • D’une part, nous nous efforçons  de minimiser l’impact de nos évolutions sur les méthodes existantes
  • D’autre part, à la publication d’une nouvelle version, nous maintenons la version précédente pendant 6 mois, ce qui vous laisse le temps de modifier vos classes d’appel de nos APIs. Au delà, notamment en cas de problème de sécurité ou de performance grave, nous nous réservons le droit de couper sans préavis l’accès aux versions antérieures.

En cas de problème, nous sommes toujours disponibles pour prendre en compte vos demandes et vous aider à y répondre.

Ces informations vous ont-elles aidé ?

Merci pour votre vote

Cédric

Voir ses articles